---
name: vsphere.netbox.update-vm
runner_type: orquesta
description: internal workflow used to update vsphere VMs inside netbox
enabled: true
entry_point: workflows/orquesta-vsphere-netbox-update-vm.yaml
parameters:
  netbox_cluster:
    type: object
    required: true
    description: object of vmware clusters from netbox
    position: 0
  role_id:
    description: Netbox Device/Virtual Machine Role ID
    type: integer
  tenant_id:
    description: Netbox Device/Virtual Machine Tenant ID
    type: integer
    
  # vcenter:
  #   type: string
  #   required: true
  #   description: online vcenter to get hosts and clusters
  #   position: 1
  # cluster_type_id:
  #   type: integer
  #   required: true
  #   description: netbox cluster type id
  #   position: 1
